package com.realnet.basic.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basic.Entity.Create_new_habit;
import com.realnet.basic.Services.Create_new_habitService ;






@RequestMapping(value = "/Create_new_habit")
 @CrossOrigin("*") 
@RestController
public class Create_new_habitController {
	@Autowired
	private Create_new_habitService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Create_new_habit")
		  public Create_new_habit Savedata(@RequestBody Create_new_habit data) {
		Create_new_habit save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Create_new_habit/{id}")
	public  Create_new_habit update(@RequestBody Create_new_habit data,@PathVariable Integer id ) {
		Create_new_habit update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Create_new_habit/getall/page")
	public Page<Create_new_habit> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Create_new_habit> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Create_new_habit")
	public List<Create_new_habit> getdetails() {
		 List<Create_new_habit> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Create_new_habit")
	public List<Create_new_habit> getallwioutsec() {
		 List<Create_new_habit> get = Service.getdetails();		
		return get;
}
@GetMapping("/Create_new_habit/{id}")
	public  Create_new_habit  getdetailsbyId(@PathVariable Integer id ) {
		Create_new_habit  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Create_new_habit/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}